using System.Runtime.Serialization;
using WCS.Entity.Protocol.BCR;
using WCS.Entity.Protocol.Station;

namespace WCS.Entity.Protocol.DataStructure
{
    /// <summary>
    ///  输送线数据
    /// </summary>
    [DataContract]
    public class StationData : DeviceData
    {
        [DataMember(Order = 3)]
        public WCS_Station520 D520 { get; set; }

        [DataMember(Order = 4)]
        public WCS_Station521 D521 { get; set; }

        [DataMember(Order = 5)]
        public WCS_Station523 D523 { get; set; }

        [DataMember(Order = 6)]
        public WCS_Station90 D90 { get; set; }

        [DataMember(Order = 7)]
        public WCS_Station91 D91 { get; set; }

        [DataMember(Order = 8)]
        public WCS_BCR80 D80 { get; set; }

        [DataMember(Order = 9)]
        public WCS_BCR81 D81 { get; set; }
    }
}
